twitter4j

## Interface UserList

All Superinterfaces:
  Comparable<UserList>, Serializable, TwitterResponse

    public interface UserList
    extends Comparable<UserList>, TwitterResponse, Serializable

A data interface representing Basic list information element

Author:
  Dan Checkoway - dcheckoway at gmail.com

### Field Summary

### Fields inherited from interface twitter4j.TwitterResponse

`NONE, READ, READ_WRITE, READ_WRITE_DIRECTMESSAGES`

### Method Summary

All Methods Instance Methods Abstract Methods
`Date` `getCreatedAt()`
`String` `getDescription()` Returns the description of the list
`String` `getFullName()` Returns the full name of the list
`long` `getId()` Returns the id of the list
`int` `getMemberCount()` Returns the member count of the list
`String` `getName()` Returns the name of the list
`String` `getSlug()` Returns the slug of the list
`int` `getSubscriberCount()` Returns the subscriber count of the list
`URI` `getURI()` Returns the uri of the list
`User` `getUser()` Returns the user of the list
`boolean` `isFollowing()` Returns if the authenticated user is following the list
`boolean` `isPublic()` tests if the list is public

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface twitter4j.TwitterResponse

`getAccessLevel, getRateLimitStatus`

### Method Detail

#### getId

    long getId()

Returns the id of the list

Returns:
  the id of the list

#### getName

    String getName()

Returns the name of the list

Returns:
  the name of the list

#### getFullName

    String getFullName()

Returns the full name of the list

Returns:
  the full name of the list

#### getSlug

    String getSlug()

Returns the slug of the list

Returns:
  the slug of the list

#### getDescription

    String getDescription()

Returns the description of the list

Returns:
  the description of the list

#### getSubscriberCount

    int getSubscriberCount()

Returns the subscriber count of the list

Returns:
  the subscriber count of the list

#### getMemberCount

    int getMemberCount()

Returns the member count of the list

Returns:
  the member count of the list

#### getURI

    URI getURI()

Returns the uri of the list

Returns:
  the uri of the list

#### isPublic

    boolean isPublic()

tests if the list is public

Returns:
  if the list is public

#### getUser

    User getUser()

Returns the user of the list

Returns:
  the user of the list

#### isFollowing

    boolean isFollowing()

Returns if the authenticated user is following the list

Returns:
  if the authenticated user is following the list

#### getCreatedAt

    Date getCreatedAt()

Returns:
  the date created the list
Since:
  Twitter4J 4.0.1